.blok-booking {
    padding: 0 5%;
}

.blok-booking .form-booking form {
    display: flex;
}

.blok-booking .form-booking form label,
.blok-booking .form-booking form input {
    font-size: 11pt;
}

.blok-booking .form-booking .blok-rincian {
    width: 70%;
    padding-right: 10px;
}

.blok-booking .form-booking .blok-rincian .list-produk {
    background-color: #fff;
    box-shadow: 2px 1px 10px rgba(0,0,0,.15);
    margin-bottom: 10px;
    border-radius: 5px;
}

.blok-booking .form-booking .blok-rincian .list-produk .produk {
    padding: 5px;
    display: flex;
    align-items: center;
    border-top: 1px solid rgba(0,0,0,.125);
}

.blok-booking .form-booking .blok-rincian .list-produk .produk:nth-of-type(1) {
    border-top: 0px;
}

.blok-booking .form-booking .blok-rincian .list-produk .produk .image {
    width: 20%;
}

.blok-booking .form-booking .blok-rincian .list-produk .produk .image img {
    border-radius: 2px;
}

.blok-booking .form-booking .blok-rincian .list-produk .produk .ket {
    width: 80%;
    padding-left: 15px;
}

.blok-booking .form-booking .blok-rincian .list-produk .produk .ket .judul {
    font-size: 14pt;
    font-weight: 500;
    line-height: 1.3;
}

.blok-booking .form-booking .blok-rincian .list-produk .produk .ket .no-pohon {
    font-size: 10pt;
    line-height: 1.3;
}

.blok-booking .form-booking .blok-rincian .list-produk .produk .ket .blok {
    display: flex;
    margin: 5px 0px;
    align-items: center;
}

.blok-booking .form-booking .blok-rincian .list-produk .produk .ket .blok img {
    width: 16px;
}

.blok-booking .form-booking .blok-rincian .list-produk .produk .ket .blok .blok-name {
    color: #6D7588;
    margin-left: 5px;
    font-size: 10pt;
}

.blok-booking .form-booking .blok-rincian .list-produk .produk .ket .harga {
    font-size: 14pt;
    font-weight: 600;
    line-height: 1.3;
}

.blok-quantity {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: auto;
    margin-top: 10px;
}

.blok-quantity .operasi {
    display: inline-flex;
    -moz-box-align: center;
    align-items: center;
    border: solid 1px #dee2e6;
    border-radius: 4px;
    padding: 3px;
    transition: border 120ms cubic-bezier(0.2, 0.64, 0.21, 1) 0s;
    width: auto;
    margin-right: 10px;
}

.blok-quantity .operasi .jml-pesan {
    background-color: transparent;
    padding: 0px 5px;
    border: medium none;
    font-size: 20pt;
    width: auto;
    color: #5f903f;
    cursor: pointer;
}

.blok-quantity .operasi input {
    width: 56px;
    padding: 1px;
    border: medium none;
    border-radius: 0px;
    box-shadow: none;
    text-align: center;
    background-color: transparent;
}

.blok-booking .form-booking .blok-rincian .blok-pembeli {
    padding: 10px;
    background-color: #fff;
    box-shadow: 2px 1px 10px rgba(0,0,0,.15);
    margin-bottom: 10px;
    border-radius: 5px;
}

.blok-booking .form-booking .blok-rincian .blok-pembeli .data-diri {
    display: flex;
    flex-wrap: wrap;
}

.blok-booking .form-booking .blok-rincian .blok-pembeli .data-diri .blok-nama,
.blok-booking .form-booking .blok-rincian .blok-pembeli .data-diri .blok-no-hp {
    padding: 0 5px;
    width: 100%;
}

.blok-booking .form-booking .blok-rincian .blok-pengambil {
    padding: 10px;
    background-color: #fff;
    box-shadow: 2px 1px 10px rgba(0,0,0,.15);
    margin-bottom: 10px;
    border-radius: 5px;
}

.blok-booking .form-booking .blok-rincian .blok-pengambil .data-diri {
    display: flex;
}

.blok-booking .form-booking .blok-rincian .blok-pengambil .data-diri .blok-nama,
.blok-booking .form-booking .blok-rincian .blok-pengambil .data-diri .blok-no-hp {
    padding: 0 5px;
    width: 50%;
}

.blok-booking .form-booking .blok-rincian .blok-pengambil div.waktu-ambil,
.blok-booking .form-booking .blok-rincian .blok-pengambil div.daerah-asal {
    padding: 0 5px;
}

.blok-no-hp .input-grup {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    width: 100%;
}

.blok-no-hp .input-grup .prep {
    margin-right: -1px;
    display: flex;
    width: auto;
}

.blok-no-hp .input-grup .prep .prep-no {
    display: flex;
    align-items: center;
    padding: 10px;
    text-align: center;
    background-color: #e9ecef;
    border: 1px solid rgba(0,0,0,.125);
    box-shadow: 0 1px 6px 0 rgba(49,53,59,0.12);
    font-size: 11pt;
}

.blok-no-hp .input-grup input {
    position: relative;
    flex: 1 1 auto;
    width: 1%;
}

.blok-booking .form-booking .blok-cart {
    width: 30%;
    padding-left: 10px;
}

.blok-booking .form-booking .blok-cart .cart {
    padding: 10px;
    background-color: #fff;
    box-shadow: 2px 1px 10px rgba(0,0,0,.15);
    border-radius: 5px;
}

.blok-booking .form-booking .blok-cart .cart .desc,
.blok-booking .form-booking .blok-cart .cart .subtotal,
.blok-booking .form-booking .blok-cart .cart .taxfee,
.blok-booking .form-booking .blok-cart .cart .total {
    display: flex;
    align-items: center;
    padding: 5px 0px;
}

.blok-booking .form-booking .blok-cart .cart .title1 {
    font-size: 14pt;
    font-weight: 700;
    margin-bottom: 10px;
}

.blok-booking .form-booking .blok-cart .cart .title2 {
    font-weight: 600;
    width: 70%;
    font-size: unset;
    margin: 0;
}

.blok-booking .form-booking .blok-cart .cart .harga {
    font-weight: 600;
    width: 30%;
    text-align: right;
    color: #6c757d;
}

p.count {
    text-align: right;
    font-size: 8pt;
}

/* CALENDER */
div.calender {
    margin-left: 5px;
    left: auto;
}

/* MODAL LOGIN */
.modal#login .modal-dialog {
    float: none;
    width: 50%;
}

.modal#login label {
    font-size: 11pt;
    width: 100%;
    float: left;
    font-weight: bold;
    padding: 3px;
}

.input-grup {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    width: 100%;
    /* margin-bottom: 1rem; */
}

.input-grup .prep {
    margin-right: -1px;
    display: flex;
    width: auto;
}

.input-grup .prep .prep-no {
    display: flex;
    align-items: center;
    padding: 10px;
    text-align: center;
    background-color: #e9ecef;
    border: 1px solid rgba(0,0,0,.125);
    box-shadow: 0 1px 6px 0 rgba(49,53,59,0.12);
    font-size: 11pt;
    border-radius: 5px 0 0 5px;
}

.input-grup input {
    position: relative;
    flex: 1 1 auto;
    width: 1%;
    border-radius: 0 5px 5px 0;
}

.rewrite-otp {
    color: #5f903f;
}

.rewrite-otp:hover {
    color: #4C7332;
}

.login-gagal {
    color: #dc3545;
    font-size: 8pt;
}

.title2 {
    font-size: 18pt;
    font-weight: 600;
    margin: 15px 5px 5px;
}

/* ========================= */
.list-booking {
    padding: 0 10%;
}

.line-yellow img {
    width: 100px;
    height: 10px;
}

.blok-map {
    display: flex;
}

.blok-map .map {
    width: 70%;
}

.blok-map .map img {
    width: 70%;
    display: block;
    margin: auto;
}

.blok-map .blok {
    width: 30%;
    order: 2;
}

.blok-map .blok .list-blok {
    padding: 25px 30px;
    overflow-y: auto;
    max-height: 390px;
    border: 0px;
    scrollbar-width: thin;
}

.blok-map .blok .list-blok .button .detail {
    display: flex;
    justify-content: center;
    padding: 10px;
    margin-bottom: 12px;
    align-items: center;
    color: #fff;
    background-color: #5f903f;
    border-radius: 5px;
    transition: 200ms;
    cursor: pointer;
    font-size: 10pt;
    text-transform: uppercase;
    font-weight: 600;
    line-height: 1.2;
}

.blok-map .blok .list-blok .button .detail:hover {
    box-shadow: 0px 0px 20px #5f903f;
    transform: scale(1.1);
}

.blok-map .blok .list-blok .button .detail.active {
    box-shadow: 0px 0px 20px #5f903f;
    transform: scale(1.1);
}

.blok-map .blok .list-blok .button .detail i {
    padding-right: 10px;
    font-size: 14pt;
}

/* BLOK JENIS */
.blok-jenis {
    margin-bottom: 20px;
}

.blok-jenis .list-jenis {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.blok-jenis .list-jenis .jenis {
    width: 20%;
    padding: 10px;
}

.blok-jenis .list-jenis .jenis .button {
    display: flex;
    flex-direction: column;
    margin: 0px auto;
    width: 110px;
    height: 110px;
    justify-content: center;
    align-items: center;
    color: #fff;
    background-color: #5f903f;
    border-radius: 50%;
    transition: 200ms;
    cursor: pointer;
}

.blok-jenis .list-jenis .jenis .button:hover {
    box-shadow: 0px 0px 20px #5f903f;
    transform: scale(1.1);
}

.blok-jenis .list-jenis .jenis .button.active {
    box-shadow: 0px 0px 20px #5f903f;
    transform: scale(1.1);
}

.blok-jenis .list-jenis .jenis .button img {
    width: 40px;
    margin-bottom: 5px;
}

.blok-jenis .list-jenis .jenis .button .jenis-name {
    text-align: center;
    text-transform: uppercase;
    font-size: 8pt;
}

/* LIST DURIAN */
.blok-list {
    animation: fadeInUp 1.5s ease-in-out;
}

.blok-list .title1 {
    font-size: 20pt;
    font-weight: bolder;
    margin-bottom: 10px;
    /* color: #5f903f; */
}

.blok-list .list-durian {
    display: block;
    float: left;
}

.blok-list .list-durian .durian {
    width: 20%;
    padding: 10px;
    display: block;
    float: left;
}

.blok-list .list-durian .durian .card {
    box-shadow: 2px 1px 10px rgba(0,0,0,.15);
    background-color: #fff;
    border-radius: 5px;
}

.blok-list .list-durian .durian .card:hover {
    box-shadow: 3px 3px 15px rgba(0,0,0,.19);
}

.blok-list .list-durian .durian .card img {
    width: 100%;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.blok-list .list-durian .durian .card .card-body {
    padding: 10px;
}

.blok-list .list-durian .durian .card .card-body .title {
    color: rgba(15, 15, 15, 0.88);
    font-size: 12pt;
    font-weight: bolder;
    line-height: 1.3;
    overflow: hidden;
    white-space: pre-wrap;
    word-break: break-all;
    text-overflow: ellipsis;
    display: -webkit-box !important;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.blok-list .list-durian .durian .card .card-body .no-pohon {
    font-size: 8pt;
    line-height: 1.3;
}

.blok-list .list-durian .durian .card .card-body .sisa-buah {
    color: #6D7588;
    font-size: 10pt;
    line-height: 1.3;
}

.blok-list .list-durian .durian .card .card-body .harga {
    color: #ff4a4a;
    font-size: 12pt;
    font-weight: 600;
    margin: 0.5rem 0rem 1rem;
}

.blok-list .list-durian .durian .card .card-body button {
    border-radius: 20px;
    margin-top: 0.5rem;
}

.blok-list .list-durian .durian .card .card-body .btn-habis {
    cursor: not-allowed;
}

.blok-list .list-durian .durian .card .card-body .blok {
    display: flex;
    margin-bottom: 10px;
    align-items: center;
}

.blok-list .list-durian .durian .card .card-body .blok img {
    width: 16px;
}

.blok-list .list-durian .durian .card .card-body .blok .blok-name {
    color: #6D7588;
    margin-left: 5px;
    font-size: 10pt;
    overflow: hidden;
    white-space: pre-wrap;
    word-break: break-all;
    text-overflow: ellipsis;
    display: -webkit-box !important;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    line-height: 1.5;
}

/* PROGRES BAR */
.bar-progres {
    height: 6px;
    display: flex;
    overflow: hidden;
    line-height: 0;
    font-size: .75rem;
    background-color: #e9ecef;
    border-radius: .25rem;
}

.bar-progres .progres {
    background-color: #ff4a4a;
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    transition: width .6s ease;
}

.ket-progres {
    color: #6D7588;
    padding: 3px 0px;
    font-size: 8pt;
    font-weight: bold;
    line-height: 1.4;
}

/* POPUP */
.popup-data-pohon {
    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.popup-data-pohon .data-pohon {
    visibility: visible;
    animation: zoomIn 1s ease-in-out;
    width: 35%;
    background-color: #555;
    color: #fff;
    border-radius: 5px;
    /* padding: 10px; */
    position: absolute;
    z-index: 1;
    top: 45%;
    left: 25%;
    line-height: 1.3;
}

.popup-data-pohon .data-pohon .list-pohon {
    width: 100%;
    float: left;
    overflow: auto;
    scrollbar-width: thin;
    max-height: 210px;
}

.popup-data-pohon .data-pohon .list-pohon .nomor {
    width: 50%;
    float: left;
    padding: 5px 10px;
}

.btn-habis {
    border: 1px solid #dae0e5;
    background-color: #dae0e5;
    color: #212529;
    cursor: not-allowed !important;
    opacity: 0.65;
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(300px);
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeInRight {
    from {
        opacity: 0;
        transform: translateX(300px);
    }
    to {
        opacity: 1;
    }
}

@keyframes fadeInLeft {
    from {
        opacity: 0;
        transform: translateX(-300px);
    }
    to {
        opacity: 1;
    }
}

@keyframes zoomIn {
    from {
        transform: scale(0.5, 0.5);
    }
    to {
        transform: scale(1, 1);
    }
}

@media (max-width: 767px) {
    .title2 {
        font-size: 16pt;
    }

    .blok-booking {
        padding: 70px 10px 0px;
    }

    .blok-booking .form-booking form {
        display: block;
    }

    .blok-booking .form-booking .blok-rincian {
        width: 100%;
        padding: 0px;
    }

    .blok-booking .form-booking .blok-rincian .list-produk .produk {
        display: block;
        padding: 10px;
    }

    .blok-booking .form-booking .blok-rincian .list-produk .produk .image {
        width: 100%;
    }

    .blok-booking .form-booking .blok-rincian .list-produk .produk .ket {
        width: 100%;
        padding: 0px;
    }

    .blok-booking .form-booking .blok-rincian .list-produk .produk .ket .judul {
        font-size: 18pt;
        margin-top: 10px;
    }

    .blok-quantity .sisa-buah {
        text-align: end;
    }

    .blok-booking .form-booking .blok-rincian .blok-pembeli,
    .blok-booking .form-booking .blok-rincian .blok-pengambil {
        padding: 10px 5px;
    }

    .blok-booking .form-booking .blok-rincian .blok-pengambil .data-diri {
        display: block;
    }

    .blok-booking .form-booking .blok-rincian .blok-pengambil .data-diri .blok-nama,
    .blok-booking .form-booking .blok-rincian .blok-pengambil .data-diri .blok-no-hp {
        width: 100%;
    }

    .blok-booking .form-booking .blok-cart {
        width: 100%;
        padding: 0px;
        margin-top: 10px;
    }

    .list-booking {
        padding: 0 10px;
    }
    
    .blok-map {
        display: block;
    }

    .blok-map .blok {
        width: 100%;
        float: left;
        margin-bottom: 20px;
    }


    .blok-map .blok .list-blok {
        padding: 10px 20px;
        margin: -10px 0px;
        max-height: 180px;
    }


    .blok-map .map {
        width: 100%;
    }


    .blok-map .map img {
        width: 100%;
    }

    .blok-map .blok .list-blok .button .detail {
        font-size: 8pt;
    }

    .blok-map .blok .list-blok .button .detail i {
        font-size: 12pt;
    }

    /* BLOK JENIS */
    .blok-jenis .list-jenis {
        flex-wrap: nowrap;
        justify-content: normal;
        overflow-x: auto;
    }

    .blok-jenis .list-jenis .jenis {
        width: 33.333333%;
        padding: 5px;
        margin: 20px 10px;
    }

    .blok-jenis .list-jenis .jenis .button {
        width: 90px;
        height: 90px;
    }

    .blok-jenis .list-jenis .jenis .button .jenis-name {
        font-size: 6pt;
    }

    /* LIST DURIAN */
    .blok-list .title {
        font-size: 16pt;
    }

    .blok-list .list-durian {
        display: block;
    }

    .blok-list .list-durian .durian {
        width: 50%;
        padding: 5px;
    }

    .blok-list .list-durian .durian .card .card-body {
        padding: 8px;   
    }

    .blok-list .list-durian .durian .card .card-body .title,
    .blok-list .list-durian .durian .card .card-body .harga {
        font-size: 10pt;
    }

    .blok-list .list-durian .durian .card .card-body .blok img {
        width: 12px;
    }

    .blok-list .list-durian .durian .card .card-body .blok .blok-name {
        margin-left: 2px;
        font-size: 8pt;
    }

    .blok-list .list-durian .durian .card .card-body button {
        font-size: 8pt;
    }

    /* PROGRES BAR */
    .ket-progres {
        font-size: 6pt;
    }

    /* POPUP */
    .popup-data-pohon .data-pohon {
        width: 80%;
        left: unset;
        margin: auto 10%;
        font-size: 8pt;
        top: 40%;
    }
}